#!/bin/bash
set -e
groupadd --system glances
adduser --system --home /nonexistent --ingroup glances --shell $(which nologin) glances
apt install -y python3-venv python3-psutil
mkdir /opt/glances
python3 -m venv /opt/glances
cd /opt/glances
source bin/activate
pip3 install glances
pip3 install 'glances[web]'

echo "[Unit]
Description=Glances
After=network.target

[Service]
AmbientCapabilities=CAP_NET_BIND_SERVICE
ExecStart=/opt/glances/bin/glances -w -p 80
Restart=on-abort
RemainAfterExit=yes
User=glances

[Install]
WantedBy=multi-user.target" > /etc/systemd/system/glances-webui.service

systemctl daemon-reload
systemctl start glances-webui
systemctl enable glances-webui
